rb_event_hook_struct Struct Reference

`#include <ruby.h>`

## Data Fields

rb_event_flag_t | flag
rb_event_hook_func_t | func
VALUE | data
struct rb_event_hook_struct * | next

## Detailed Description

Definition at line 1418 of file ruby.h.

## Field Documentation

VALUE rb_event_hook_struct::data

Definition at line 1421 of file ruby.h.

Referenced by alloc_event_hook(), exec_event_hooks(), and mark_event_hooks().

rb_event_flag_t rb_event_hook_struct::flag

Definition at line 1419 of file ruby.h.

Referenced by alloc_event_hook(), defer_remove_event_hook(), exec_event_hooks(), remove_defered_event_hook(), remove_event_hook(), search_live_hook(), and thread_reset_event_flags().

rb_event_hook_func_t rb_event_hook_struct::func

Definition at line 1420 of file ruby.h.

Referenced by alloc_event_hook(), defer_remove_event_hook(), exec_event_hooks(), and remove_event_hook().

struct rb_event_hook_struct* rb_event_hook_struct::next

Definition at line 1422 of file ruby.h.

Referenced by defer_remove_event_hook(), exec_event_hooks(), mark_event_hooks(), rb_add_event_hook(), rb_threadptr_add_event_hook(), remove_defered_event_hook(), remove_event_hook(), search_live_hook(), and thread_reset_event_flags().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h